package com.iamberry.wechat.core.entity.product;

import java.util.Date;

/**
 * 赠送礼品表
 * Created by liuzhiwei on 2017/12/14.
 */
public class SalesUserGift implements java.io.Serializable {

    private static final long serialVersionUID = 5090826454779421819L;
    private Integer userId;             //id
    private Integer userProductId;      //产品ID
    private Integer userColorId;        //商品颜色id
    private Integer userGiftId;         //赠送产品id
    private Integer userGiftColor;      //产品颜色id
    private Integer userGiftCount;      //赠送产品数量
    private Integer userStatus;         //状态    1:使用，2：停用
    private Date userCreateTime;        //创建时间
    private String giftName;            //赠品名称
    private String giftColorName;       //赠品颜色名称
    private Integer giftChildType;      //赠品类型
    private String giftProductPic;      //赠品图文

    public String getGiftName() {
        return giftName;
    }

    public void setGiftName(String giftName) {
        this.giftName = giftName;
    }

    public String getGiftColorName() {
        return giftColorName;
    }

    public void setGiftColorName(String giftColorName) {
        this.giftColorName = giftColorName;
    }

    public Integer getGiftChildType() {
        return giftChildType;
    }

    public void setGiftChildType(Integer giftChildType) {
        this.giftChildType = giftChildType;
    }

    public String getGiftProductPic() {
        return giftProductPic;
    }

    public void setGiftProductPic(String giftProductPic) {
        this.giftProductPic = giftProductPic;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getUserProductId() {
        return userProductId;
    }

    public void setUserProductId(Integer userProductId) {
        this.userProductId = userProductId;
    }

    public Integer getUserColorId() {
        return userColorId;
    }

    public void setUserColorId(Integer userColorId) {
        this.userColorId = userColorId;
    }

    public Integer getUserGiftId() {
        return userGiftId;
    }

    public void setUserGiftId(Integer userGiftId) {
        this.userGiftId = userGiftId;
    }

    public Integer getUserGiftColor() {
        return userGiftColor;
    }

    public void setUserGiftColor(Integer userGiftColor) {
        this.userGiftColor = userGiftColor;
    }

    public Integer getUserGiftCount() {
        return userGiftCount;
    }

    public void setUserGiftCount(Integer userGiftCount) {
        this.userGiftCount = userGiftCount;
    }

    public Integer getUserStatus() {
        return userStatus;
    }

    public void setUserStatus(Integer userStatus) {
        this.userStatus = userStatus;
    }

    public Date getUserCreateTime() {
        return userCreateTime;
    }

    public void setUserCreateTime(Date userCreateTime) {
        this.userCreateTime = userCreateTime;
    }
}
